<mat-sidenav-container>
  <mat-sidenav #sidenav role="navigation">
    <app-navbar (toggleSidenav)="sidenav.toggle();"></app-navbar>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <div >
        <button mat-icon-button (click)="sidenav.toggle()">
          <mat-icon>menu</mat-icon>
        </button>
      </div>
      <div>
        <a>
         {{title}}
        </a>
      </div>
    </mat-toolbar>
    <main>
      <router-outlet><app-spinner></app-spinner></router-outlet>
    </main>
  </mat-sidenav-content>
</mat-sidenav-container>
